<div class="card-body">

  <form #addAdminForm="ngForm">
    <div class="row">
      <div class="col-6">
        <div class="form-group">
          <label for="ime">
            <b>Ime</b>
          </label>
          <input class="form-control" name="ime" placeholder="Ime" required minlength="2" [(ngModel)]="user.ime"
            #ime="ngModel">
            <p class="text-danger" *ngIf="ime.invalid && (ime.dirty || ime.touched)">Polje ne sme biti prazno</p>

        </div>
        <div class="form-group">
          <label for="prezime">
            <b>Prezime</b>
          </label>
          <input class="form-control" name="prezime" required minlength="2" [(ngModel)]="user.prezime" #prezime="ngModel"
            placeholder="Prezime">
          <p class="text-danger" *ngIf="prezime.invalid && (prezime.dirty || prezime.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="email">
            <b>Email</b>
          </label>
          <input class="form-control" name="email" type="email" [(ngModel)]="user.email" #email="ngModel" required
            placeholder="Email">
            <p class="text-danger" *ngIf="email.invalid && (email.dirty || email.touched)">Polje ne sme biti prazno</p>

        </div>

      </div>
      <div class="col-6">
        <div class="form-group">
          <label for="kIme">
            <b>Korisnicko Ime</b>
          </label>
          <div class="input-group">
            <input class="form-control" (input)="onUsernameChange()" name="korisnickoIme" [(ngModel)]="user.korisnickoIme" required #korisnickoIme="ngModel"
              placeholder="Korisnicko Ime">
            <div class="input-group-append">
              <span class="input-group-text" *ngIf="userNameAvailable == undefined">
                <button class="btn btn-link" (click)="onUsernameCheck()" placement="right" ngbTooltip="Check username availability">
                  <i class="text-primary fas fa-redo-alt"></i>
                </button>
              </span>
              <span class="input-group-text bg-success" *ngIf="userNameAvailable">
                <i class="far fa-check-circle text-light fa-2x"></i>
              </span>
              <span class="input-group-text bg-danger" *ngIf="userNameAvailable == false">
                <i class="fas fa-lock text-light fa-2x"></i>
              </span>
            </div>
          </div>
          <p class="text-danger" *ngIf="korisnickoIme.invalid && (korisnickoIme.dirty || korisnickoIme.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="sifra">
            <b>Sifra</b>
          </label>
          <input class="form-control" placeholder="Sifra" type="password" name="sifra" [(ngModel)]="user.sifra" #sifra="ngModel" required> 
          <p class="text-danger" *ngIf="sifra.invalid && (sifra.dirty || sifra.touched)">Polje ne sme biti prazno</p>
        </div>
        
      </div>
    </div>
  </form>
</div>



<div class="card-footer">
  <div class="row">
    <div class="col-2">
      <button class="btn btn-success" (click)="onAddClick()" [disabled]="addAdminForm.invalid || !userNameAvailable">Add User</button>
    </div>
    <div class="col-8"></div>
    <div class="col-1"></div>
    <div class="col-1">
      <button class="btn btn-info" (click)="onBack()">Back</button>
    </div>
  </div>
</div>